<?php

/**
 * @file
 */


/**
 * Implements hook_views_data_alter().
 */
 function ofd_ferma_views_data_alter(&$data) {
  $data['ofd_ferma']['table']['group'] = 'OFD.Ferma receipt';
  $data['ofd_ferma']['table']['join'] = array(
    // #global is a special flag which let's a table appear all the time.
    '#global' => array(),
  );

  $data['ofd_ferma']['links'] = array(
    'title' => t('View receipt'),
    'help' => t('Link for review rendered receipt'),
    'field' => array(
      'handler' => 'ofd_ferma_handler_field_links',
    ),
  );

  $data['ofd_ferma']['device'] = array(
    'title' => t('Device info'),
    'help' => t('Detailed info about cash registry device.'),
    'field' => array(
      'handler' => 'ofd_ferma_handler_field_device',
    ),
  );
}
