<?php


/**
 * @file
 * Definition of ofd_ferma_handler_field_links.
 */

/**
 * A handler which provides a device info.
 */
class ofd_ferma_handler_field_device extends views_handler_field {
  public function render($values) {
    $value = $values->{$this->field_alias};
    if ($data = unserialize($value)) {
      $vars = array(
        'rows' => array(),
      );
      foreach (get_object_vars($data) as $key => $value) {
        if (in_array($key, array('RNM', 'FN'))) {
          $vars['rows'][] = array($key, $value);
        }
      }
      return theme('table', $vars);
    }
    return NULL;
  }
}